package com.ys.bdtp.adm.mvvm.model.db.entity.dict

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import java.io.Serializable

/**
 * 设备字典表(远程无对应表)
 */
@Entity(tableName = "equipment")
data class EquipmentEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "project_id") val projectId: String?,         // 项目 id
    @ColumnInfo(name = "code") val code: String?,                    // 设备编码
    @ColumnInfo(name = "name") val name: String?,                    // 设备名称
    @ColumnInfo(name = "obj_type") val objType: String?,             // 对象类型
    @ColumnInfo(name = "group_code") val groupCode: String?,         // 集团编码
    @ColumnInfo(name = "major_code") val majorCode: String?,         // 专业编码
    @ColumnInfo(name = "system_code") val systemCode: String?,       // 系统编码
    @ColumnInfo(name = "parent_code") val parentCode: String?,       // 父编码
    @ColumnInfo(name = "equipment_code") val equipmentCode: String?, // 设备编码
    @ColumnInfo(name = "alias_code") val aliasCode: String?,         // 编码别名
    @ColumnInfo(name = "alias_name") val aliasName: String?,         // 名称别名
    @ColumnInfo(name = "version") val version: String?,              // 版本
    @ColumnInfo(name = "system_name") var systemName: String?,       // 系统编码
    @ColumnInfo(name = "valid") var valid: Int?,                     // 有效标识, // 1 正常 0 删除
) : Serializable
