package com.ys.bdtp.adm.mvvm.model.db.entity.dict

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * 管道配置 表
 */
@Entity(tableName = "pipe_config")
data class PipeConfigEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "project_id") val projectId: String?,             // 项目id
    @ColumnInfo(name = "class_code_from") val classCodeFrom: String?,    // from 端设备对象class_code
    @ColumnInfo(name = "class_code_to") val classCodeTo: String?,        //  to  端设备对象class_code
    @ColumnInfo(name = "pipe_type") val pipeType: String?,               // 管道类型(数据字典定义)
    @ColumnInfo(name = "pipe_sub_type") val pipeSubType: String?,        // 管道用途(业务定义补充描述类型)
    @ColumnInfo(name = "pipe_direction") val pipeDirection: Int?,        // 管道方向(1:正向from->to;-1:反向to->from;0:无方向)
    @ColumnInfo(name = "pipe_description") val pipeDescription: String?, // 描述信息
//    val classCodeFromName: String?,
//    val classCodeToName: String?,
)
