package com.ys.bdtp.adm.mvvm.model.db.entity.dict

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * 关系字典表(关系定义)(远程无对应表)
 */
@Entity(tableName = "relation_dict")
data class RelationDictEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "code") val code: String,                  // 关系编码
    @ColumnInfo(name = "name") val name: String,                  // 关系名
    @ColumnInfo(name = "graph_code") val graphCode: String,       // 图编码
    @ColumnInfo(name = "directional") val directional: Int?,      // 方向
    @ColumnInfo(name = "target_Objs") val targetObjs: String?,    // 目标对象
    @ColumnInfo(name = "attribute") val attribute: String?,       // 属性
    @ColumnInfo(name = "fromObjType") val fromObjType: String?,
    @ColumnInfo(name = "toObjType") val toObjType: String?,
    @ColumnInfo(name = "remark") val remark: String?,
    @ColumnInfo(name = "valid") var valid: Int?,                   // 有效标识, // 1 正常 0 删除
    //@ColumnInfo(name = "before_cal_rels") val beforeCalRels: String?,
    //@ColumnInfo(name = "calRules") val calRules: String?,
)