object Sdk {
    const val kotlin = "1.5.31"
    const val compose = "1.0.5"
    const val compileSdk = 31
    const val minSdk = 28
    const val targetSdk = 31
    const val versionCode = 1
    const val versionName = "1.0"
    const val buildToolsVersion = "31.0.0"
}

object Deps {
    object Androidx {
        const val Core = "androidx.core:core-ktx:1.7.0"
        const val Appcompat = "androidx.appcompat:appcompat:1.4.0"
        const val Compose = "androidx.activity:activity-compose:1.4.0"
    }

    object Compose {
        private const val compose = "1.0.5"

        const val Animation = "androidx.compose.animation:animation:$compose"
        const val Compiler = "androidx.compose.compiler:compiler:$compose"
        const val Foundation = "androidx.compose.foundation:foundation:$compose"

        object Material {
            const val Material = "androidx.compose.material:material:$compose"
            const val Material3 = "androidx.compose.material3:material3:1.0.0-alpha01"
            const val Core = "androidx.compose.material:material-icons-core:$compose"
            const val Extended =
                "androidx.compose.material:material-icons-extended:$compose"
        }

        object Runtime {
            const val Runtime = "androidx.compose.runtime:runtime:$compose"
            const val LiveData = "androidx.compose.runtime:runtime-livedata:$compose"
        }

        object UI {
            const val UI = "androidx.compose.ui:ui:$compose"
            const val Preview = "androidx.compose.ui:ui-tooling-preview:$compose"
            const val Tooling = "androidx.compose.ui:ui-tooling:$compose"
            const val Manifest = "androidx.compose.ui:ui-test-manifest:$compose"
        }

        object Test {
            const val Compose = "androidx.compose.ui:ui-test-junit4:$compose"
        }

        object Debug {
            const val Tooling = "androidx.compose.ui:ui-tooling:$compose"
        }

        const val ConstraintLayout =
            "androidx.constraintlayout:constraintlayout-compose:1.0.0-rc02"

        const val Paging = "androidx.paging:paging-compose:1.0.0-alpha14"
    }

    object Google {
        const val Material = "com.google.android.material:material:1.4.0"
        const val Gson = "com.google.code.gson:gson:2.8.9"

        object Accompanist {
            private const val accompanist = "0.10.0"
            const val Coil =
                "com.google.accompanist:accompanist-coil:$accompanist"
            const val Insets =
                "com.google.accompanist:accompanist-insets:$accompanist"
        }
    }

    object Lifecycle {
        private const val lifecycle = "2.4.0"
        const val Runtime =
            "androidx.lifecycle:lifecycle-runtime-ktx:$lifecycle"
        const val Livedata =
            "androidx.lifecycle:lifecycle-livedata-ktx:$lifecycle"
        const val ViewModel =
            "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifecycle"
        const val Compose =
            "androidx.lifecycle:lifecycle-viewmodel-compose:$lifecycle"
    }

    object Room {
        private const val room = "2.4.0-rc01"
        const val Runtime = "androidx.room:room-runtime:$room"
        const val Compiler = "androidx.room:room-compiler:$room"
        const val Ktx = "androidx.room:room-ktx:$room"
        const val Test = "androidx.room:room-testing:$room"
    }

    object Navigation {
        const val Compose =
            "androidx.navigation:navigation-compose:2.4.0-beta02"
        const val Runtime =
            "androidx.navigation:navigation-runtime-ktx:2.3.5"
        const val Ktx =
            "androidx.navigation:navigation-ui-ktx:2.3.5"
    }

    object Kodein {
        // kodein
        private const val kodein = "7.9.0"
        const val Di = "org.kodein.di:kodein-di:$kodein"
        const val Compose = "org.kodein.di:kodein-di-framework-compose:$kodein"
        const val Androidx = "org.kodein.di:kodein-di-framework-android-x:$kodein"
        const val ViewModel =
            "org.kodein.di:kodein-di-framework-android-x-viewmodel:$kodein"
        const val SavedStateHandle =
            "org.kodein.di:kodein-di-framework-android-x-viewmodel-savedstatehandle:$kodein"
    }

    object Kotlinx {
        const val Json =
            "org.jetbrains.kotlinx:kotlinx-serialization-json:1.3.0"
    }

    object Square {
        private const val retrofit = "2.9.0"
        private const val log = "4.9.0"
        private const val moshi = "1.12.0"

        const val Retrofit = "com.squareup.retrofit2:retrofit:$retrofit"

        object Converter {
            const val Gson =
                "com.squareup.retrofit2:converter-gson:$retrofit"
            const val Scalars =
                "com.squareup.retrofit2:converter-scalars:$retrofit"
            const val Moshi = "com.squareup.retrofit2:converter-moshi:$retrofit"
        }

        object Interceptor {
            const val Logging =
                "com.squareup.okhttp3:logging-interceptor:$log"
        }

        object Moshi {
            const val Moshi = "com.squareup.moshi:moshi:$moshi"
            const val Codegen = "com.squareup.moshi:moshi-kotlin-codegen:$moshi"
        }
    }

    object Test {
        const val Junit = "junit:junit:4.13.2"
    }

    object AndroidXTest {
        const val Ext = "androidx.test.ext:junit:1.1.3"
        const val Ktx = "androidx.test.ext:junit-ktx:1.1.3"
        const val Espresso = "androidx.test.espresso:espresso-core:3.4.0"
        const val UI = "androidx.ui:ui-test:1.0.0-alpha07"
    }
}
